Component({
  properties: {
    // 接收传递进来的二维码图片路径
    show: {           // 控制显示/隐藏
      type: Boolean,
      value: false
    },
    qrcode: {
      type: String,
      value: ""
    },
  },

  data: {
    closeIcon: "./images/cha.png",  // 关闭按钮的图标
  },

  methods: {
    // 关闭弹窗
    close() {
      // 触发关闭弹窗事件
      this.triggerEvent('close');
    },

    // 预览二维码
    previewQrcode() {
      wx.previewImage({
        urls: [this.data.qrcode],  // 预览图片
      });
    }
  }
});
